diff mbox series

[5/7] xfs: test mkfs min log size calculation w/ rt volumes

Message ID 160505546184.1388823.6675430976638809308.stgit@magnolia (mailing list archive)
State New, archived
Headers show
Series various: test xfs things fixed in 5.10 | expand

Commit Message

Darrick J. Wong Nov. 11, 2020, 12:44 a.m. UTC
From: Darrick J. Wong <darrick.wong@oracle.com>

In "mkfs: set required parts of the realtime geometry before computing
log geometry" we made sure that mkfs set up enough of the fs geometry to
compute the minimum xfs log size correctly when formatting the
filesystem.  This is the regression test for that issue.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/xfs/761     |   42 ++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/761.out |    1 +
 tests/xfs/group   |    1 +
 3 files changed, 44 insertions(+)
 create mode 100755 tests/xfs/761
 create mode 100644 tests/xfs/761.out
diff mbox series

Patch

diff --git a/tests/xfs/761 b/tests/xfs/761
new file mode 100755
index 00000000..36877bc9
--- /dev/null
+++ b/tests/xfs/761
@@ -0,0 +1,42 @@ 
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+# Copyright (c) 2020, Oracle.  All Rights Reserved.
+#
+# FS QA Test No. 761
+#
+# Make sure mkfs sets up enough of the rt geometry that we can compute the
+# correct min log size for formatting the fs.
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1    # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+	cd /
+	rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs xfs
+_require_scratch
+_require_realtime
+
+rm -f $seqres.full
+
+# Format a tiny filesystem to force minimum log size, then see if it mounts
+_scratch_mkfs -r size=1m -d size=100m > $seqres.full
+_scratch_mount >> $seqres.full
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/761.out b/tests/xfs/761.out
new file mode 100644
index 00000000..8c9d9e90
--- /dev/null
+++ b/tests/xfs/761.out
@@ -0,0 +1 @@ 
+QA output created by 761
diff --git a/tests/xfs/group b/tests/xfs/group
index cb55a8ff..74f0d37c 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -522,4 +522,5 @@ 
 758 auto quick rw attr realtime
 759 auto quick rw realtime
 760 auto quick rw collapse punch insert zero prealloc
+761 auto quick realtime
 763 auto quick rw realtime